{
  "authentication": {
    "type": "basic",
    "userName": "bWEWHgp8FZJmiprOU62M",
    "passWord": "X",
    "crmPhoneTest":"5516988310022"
  },
  "crmRest": [
    {
      "createContactRecord": {
        "request": {
          "requestContentType": "application/json",
          "requestEncoding": "Json",
          "requestType": "Post",
          "responseType": "Json",
          "url": "https://thaline.freshdesk.com/api/v2/contacts"
        },
        "body": {
          "name": "crmFirstName",
          "email": "crmEmail",
          "phone": "crmPhone"
        },
        "response": { 
          "id": "id"
        }
      }
    },
    {
      "lookupContactByPhone": {
        "request": {
          "requestContentType": "application/json",
          "requestEncoding": "Json",
          "requestType": "Get",
          "responseType": "Json",
          "url": "https://thaline.freshdesk.com/api/v2/contacts?phone=crmPhone"
        },
        "response": {
          "phone": "phone",
          "id": "id"
        }
      }
    },
    {
      "callJournaling": {
        "request": {
          "requestContentType": "application/json",
          "requestEncoding": "Json",
          "requestType": "Post",
          "responseType": "Json",
          "url": "https://thaline.freshdesk.com/api/v2/tickets"
        },
        "calls": [
          {
            "inboundAnsweredCall": {
              "phone": { "_prop": "crmPhone", "_type": "string" },
              "description": "Ligação recebida",
              "requester_id": { "_prop": "crmContactId", "_type": "number" },
              "subject": "Cliente ligou",
              "type": "Question",
              "status": 2,
              "priority": 1,
              "source": 3
            }
          },
          {
            "inboundMissedCall": {
              "phone": { "_prop": "crmPhone", "_type": "string" },
              "description": "Ligação Perdida",
              "requester_id": { "_prop": "crmContactId", "_type": "number" },
              "subject": "Cliente ligou",
              "type": "Question",
              "status": 2,
              "priority": 1,
              "source": 3
            }
          },
          {
            "outboundAnsweredCall": {
              "phone": { "_prop": "crmPhone", "_type": "string" },
              "description": "Ligação para cliente",
              "requester_id": { "_prop": "crmContactId", "_type": "number" },
              "subject": "Ligação atendida",
              "type": "Question",
              "status": 2,
              "priority": 1,
              "source": 3
            }
          },
          {
            "outboundUnansweredCall": {
              "phone": { "_prop": "crmPhone", "_type": "string" },
              "description": "Ligação para cliente perdida",
              "requester_id": { "_prop": "crmContactId", "_type": "number" },
              "subject": "Ligação para cliente",
              "type": "Question",
              "status": 2,
              "priority": 1,
              "source": 3
            }
          }
        ],
        "response": {}
      }
    }
  ]
}
